diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl ./wordpress-3.4.1/wp-includes/js/wp-lists.dev.js ./wordpress-3.4.2/wp-includes/js/wp-lists.dev.js
*** ./wordpress-3.4.1/wp-includes/js/wp-lists.dev.js	2012-08-07 10:59:23.000000000 -0500
--- ./wordpress-3.4.2/wp-includes/js/wp-lists.dev.js	2012-09-04 15:28:52.000000000 -0500
***************
*** 78,84 ****
  		if ( !s )
  			return false;
  
! 		if ( !e.is('[class^="add:' + list.id + ':"]') )
  			return !wpList.add.call( list, e, s );
  
  		if ( !s.element )
--- 78,84 ----
  		if ( !s )
  			return false;
  
! 		if ( !e.is('[id="' + s.what + '-add-submit"]') )
  			return !wpList.add.call( list, e, s );
  
  		if ( !s.element )
***************
*** 397,403 ****
  			return list.wpList.add(this);
  		});
  
! 		$el.delegate( '[class^="add:' + list.id + ':"]:not(form)', 'click', function(){
  			return list.wpList.add(this);
  		});
  
--- 397,403 ----
  			return list.wpList.add(this);
  		});
  
! 		$el.delegate( 'a[class^="add:' + list.id + ':"], input[class^="add:' + list.id + ':"]', 'click', function(){
  			return list.wpList.add(this);
  		});
  
diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl ./wordpress-3.4.1/wp-includes/load.php ./wordpress-3.4.2/wp-includes/load.php
*** ./wordpress-3.4.1/wp-includes/load.php	2012-08-07 10:59:23.000000000 -0500
--- ./wordpress-3.4.2/wp-includes/load.php	2012-09-04 15:31:14.000000000 -0500
***************
*** 105,116 ****
  	$php_version = phpversion();
  	if ( version_compare( $required_php_version, $php_version, '>' ) ) {
  		wp_load_translations_early();
! 		wp_die( sprintf( __( 'Your server is running PHP version %1$s but WordPress %2$s requires at least %3$s.' ), $php_version, $wp_version, $required_php_version ) );
  	}
  
  	if ( ! extension_loaded( 'mysql' ) && ! file_exists( WP_CONTENT_DIR . '/db.php' ) ) {
  		wp_load_translations_early();
! 		wp_die( __( 'Your PHP installation appears to be missing the MySQL extension which is required by WordPress.' ) );
  	}
  }
  
--- 105,116 ----
  	$php_version = phpversion();
  	if ( version_compare( $required_php_version, $php_version, '>' ) ) {
  		wp_load_translations_early();
! 		die( sprintf( __( 'Your server is running PHP version %1$s but WordPress %2$s requires at least %3$s.' ), $php_version, $wp_version, $required_php_version ) );
  	}
  
  	if ( ! extension_loaded( 'mysql' ) && ! file_exists( WP_CONTENT_DIR . '/db.php' ) ) {
  		wp_load_translations_early();
! 		die( __( 'Your PHP installation appears to be missing the MySQL extension which is required by WordPress.' ) );
  	}
  }
  
***************
*** 685,691 ****
  	require_once ABSPATH . WPINC . '/locale.php';
  
  	// General libraries
- 	require_once ABSPATH . WPINC . '/functions.php';
  	require_once ABSPATH . WPINC . '/plugin.php';
  
  	$locales = $locations = array();
--- 685,690 ----
diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl ./wordpress-3.4.1/wp-includes/rewrite.php ./wordpress-3.4.2/wp-includes/rewrite.php
*** ./wordpress-3.4.1/wp-includes/rewrite.php	2012-08-07 10:59:23.000000000 -0500
--- ./wordpress-3.4.2/wp-includes/rewrite.php	2012-09-03 18:21:38.000000000 -0500
***************
*** 1537,1543 ****
  		$registration_pages['.*wp-register.php$'] = $this->index . '?register=true'; // Deprecated
  
  		// Post
! 		$post_rewrite = $this->generate_rewrite_rules( $this->permalink_structure, EP_PERMALINK, false );
  		$post_rewrite = apply_filters('post_rewrite_rules', $post_rewrite);
  
  		// Date
--- 1537,1543 ----
  		$registration_pages['.*wp-register.php$'] = $this->index . '?register=true'; // Deprecated
  
  		// Post
! 		$post_rewrite = $this->generate_rewrite_rules( $this->permalink_structure, EP_PERMALINK );
  		$post_rewrite = apply_filters('post_rewrite_rules', $post_rewrite);
  
  		// Date
diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl ./wordpress-3.4.1/wp-includes/taxonomy.php ./wordpress-3.4.2/wp-includes/taxonomy.php
*** ./wordpress-3.4.1/wp-includes/taxonomy.php	2012-08-07 10:59:23.000000000 -0500
--- ./wordpress-3.4.2/wp-includes/taxonomy.php	2012-09-04 20:25:47.000000000 -0500
***************
*** 1926,1931 ****
--- 1926,1935 ----
  	if ( !empty($orderby) )
  		$orderby = "ORDER BY $orderby";
  
+ 	$order = strtoupper( $order );
+ 	if ( '' !== $order && ! in_array( $order, array( 'ASC', 'DESC' ) ) )
+ 		$order = 'ASC';
+ 
  	$taxonomies = "'" . implode("', '", $taxonomies) . "'";
  	$object_ids = implode(', ', $object_ids);
  
diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl ./wordpress-3.4.1/wp-includes/theme.php ./wordpress-3.4.2/wp-includes/theme.php
*** ./wordpress-3.4.1/wp-includes/theme.php	2012-08-07 10:59:23.000000000 -0500
--- ./wordpress-3.4.2/wp-includes/theme.php	2012-09-04 17:26:14.000000000 -0500
***************
*** 1629,1639 ****
   * @since 3.4.0
   *
   * @param string $stylesheet Optional. Theme to customize. Defaults to current theme.
   */
  function wp_customize_url( $stylesheet = null ) {
  	$url = admin_url( 'customize.php' );
  	if ( $stylesheet )
! 		$url .= '?theme=' . $stylesheet;
  	return esc_url( $url );
  }
  
--- 1629,1640 ----
   * @since 3.4.0
   *
   * @param string $stylesheet Optional. Theme to customize. Defaults to current theme.
+  * 	The theme's stylesheet will be urlencoded if necessary.
   */
  function wp_customize_url( $stylesheet = null ) {
  	$url = admin_url( 'customize.php' );
  	if ( $stylesheet )
! 		$url .= '?theme=' . urlencode( $stylesheet );
  	return esc_url( $url );
  }
  
diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl ./wordpress-3.4.1/wp-includes/version.php ./wordpress-3.4.2/wp-includes/version.php
*** ./wordpress-3.4.1/wp-includes/version.php	2012-08-07 10:59:23.000000000 -0500
--- ./wordpress-3.4.2/wp-includes/version.php	2012-09-06 14:41:17.000000000 -0500
***************
*** 4,24 ****
   *
   * @global string $wp_version
   */
! $wp_version = '3.4.1';
  
  /**
   * Holds the WordPress DB revision, increments when changes are made to the WordPress DB schema.
   *
   * @global int $wp_db_version
   */
! $wp_db_version = 21115;
  
  /**
   * Holds the TinyMCE version
   *
   * @global string $tinymce_version
   */
! $tinymce_version = '349-20805';
  
  /**
   * Holds the cache manifest version
--- 4,24 ----
   *
   * @global string $wp_version
   */
! $wp_version = '3.4.2';
  
  /**
   * Holds the WordPress DB revision, increments when changes are made to the WordPress DB schema.
   *
   * @global int $wp_db_version
   */
! $wp_db_version = 21707;
  
  /**
   * Holds the TinyMCE version
   *
   * @global string $tinymce_version
   */
! $tinymce_version = '349-21274';
  
  /**
   * Holds the cache manifest version
diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl ./wordpress-3.4.1/wp-load.php ./wordpress-3.4.2/wp-load.php
*** ./wordpress-3.4.1/wp-load.php	2012-08-07 10:59:23.000000000 -0500
--- ./wordpress-3.4.2/wp-load.php	2012-09-04 15:31:14.000000000 -0500
***************
*** 48,55 ****
  	require_once( ABSPATH . WPINC . '/load.php' );
  	require_once( ABSPATH . WPINC . '/version.php' );
  
- 	wp_load_translations_early();
  	wp_check_php_mysql_versions();
  
  	// Die with an error message
  	$die  = __( "There doesn't seem to be a <code>wp-config.php</code> file. I need this before we can get started." ) . '</p>';
--- 48,57 ----
  	require_once( ABSPATH . WPINC . '/load.php' );
  	require_once( ABSPATH . WPINC . '/version.php' );
  
  	wp_check_php_mysql_versions();
+ 	wp_load_translations_early();
+ 
+ 	require_once( ABSPATH . WPINC . '/functions.php' );
  
  	// Die with an error message
  	$die  = __( "There doesn't seem to be a <code>wp-config.php</code> file. I need this before we can get started." ) . '</p>';
